<?xml version="1.0" encoding="utf-8"?>
<!-- <?xml version="1.0" encoding="Shift_JIS"?> -->
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:dc='http://purl.org/dc/elements/1.1/'
	xmlns:upnp='urn:schemas-upnp-org:metadata-1-0/upnp/'
	xmlns:didl-lite='urn:schemas-upnp-org:metadata-1-0/DIDL-Lite/'
	xmlns:av='urn:schemas-sony-com:av'
>
<xsl:output method="html" encoding="utf-8" />
<!-- <xsl:output method="html" encoding="Shift_JIS" /> -->

<xsl:template match="/">
<html>
<head>
<title>ContentDirectory:1#Browse</title>
</head>
<body bgcolor="#dddddd">
<xsl:apply-templates select="items"/>
</body>
</html>
</xsl:template>

<xsl:template match="items">
	<xsl:call-template name="DIDL-Lite"/>
</xsl:template>

<xsl:template name="DIDL-Lite">
	<xsl:for-each select="//didl-lite:item">
		# <xsl:value-of select="dc:title"/>,
		<xsl:value-of select="upnp:channelName"/>,
		<xsl:value-of select="didl-lite:res/@size"/>,
		<xsl:value-of select="substring(av:recordStartDateTime,1,10)"/>,
		<xsl:value-of select="substring(av:recordStartDateTime,12,8)"/>,
		<xsl:value-of select="substring(didl-lite:res/@duration,1,8)"/><br/>
		<xsl:value-of select="didl-lite:res"/><br/>
		<br/>
	</xsl:for-each>
</xsl:template>

</xsl:stylesheet>

